.franchise-model {
    display: grid;
    grid-template-areas:
            "c d"
            "c dd"
            "p p";
    grid-template-columns: 550px 550px;
    grid-template-rows: 210px 362px 144px;
    gap: 10px;
    opacity: 0;
    transition: opacity 300ms linear;

    .franchise-model__card {
        background-size: cover !important;
    }

    &:not(:last-child) {
        margin-bottom: 60px;
    }

    button {
        display: none;
    }
}

.franchise-model.first {
    grid-template-rows: 210px 362px 144px;

    .franchise-model__card {
        background: url("../../img/franchise/franchise-model-1.jpg")
    }
}

.franchise-model.second {
    grid-template-rows: 172px 324px 324px;

    .franchise-model__card {
        background: url("../../img/franchise/franchise-model-2.jpg")
    }

    .franchise-model__profit {
        background-color: #20A2A3;
    }
}

.franchise-model.third {
    grid-template-rows: 274px 592px 219px;

    .franchise-model__card {
        background: url("../../img/franchise/franchise-model-3.jpg")
    }

    .franchise-model__profit {
        background-color: #FAAE1B;
    }
}

.franchise-model__card {
    grid-area: c;
    padding: 40px;
    border-radius: 16px;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    color: white;
    font-family: "Mont", "Helvetica", sans-serif;
    font-weight: 700;

    .franchise-model__card--heading {
        font-size: 32px;
        line-height: 41px;
        margin-bottom: 4px;
    }

    .franchise-model__card--description {
        font-size: 18px;
        line-height: 25px;
    }
}

.franchise-model__deal {
    display: flex;
    flex-flow: column nowrap;
    justify-content: space-between;
    width: 100%;
    height: 100%;
    padding: 45px 40px;
    border-radius: 16px;
    filter: drop-shadow(2px 4px 10px rgba(204, 204, 204, 30%));

    .franchise-model__deal--heading {
        font-family: "Mont", "Helvetica", sans-serif;
        font-size: 24px;
        font-weight: 700;
        line-height: 34px;
    }

    .franchise-model__deal--description-line {
        display: flex;
        align-items: baseline;
        gap: 12px;
        font-family: "Verdana", "Helvetica", sans-serif;
        font-size: 20px;
        font-weight: 400;
        line-height: 28px;
    }

    .franchise-model__deal--description-line::before {
        content: '';
        display: block;
        background-color: var(--feature-color);
        width: 16px;
        min-width: 16px;
        height: 16px;
        border-radius: 50%;
    }

    &:nth-child(3) {
        grid-area: d;
        background-color: white;
    }

    &:nth-child(4) {
        grid-area: dd;
        background-color: #FFF0D9;
    }
}

.franchise-model__profit {
    display: flex;
    flex-flow: nowrap;
    align-items: baseline;
    column-gap: 60px;
    grid-area: p;
    background-color: var(--feature-color);
    width: 100%;
    height: 100%;
    border-radius: 16px;
    padding: 30px 40px;
    color: white;

    .franchise-model__profit--heading {
        display: flex;
        align-items: center;
        min-width: 207px;
        height: 84px;
        font-weight: 700;
        align-self: flex-start;
    }

    .franchise-model__profit--description {
        display: flex;
        flex-flow: row wrap;
        gap: 10px;
    }

    .franchise-model__profit--description.seventy {
        width: 70%;
    }

    .franchise-model__profit--description-line {
        display: flex;
        flex-flow: row nowrap;
        width: 346px;
        align-items: center;
        gap: 10px;
    }

    .franchise-model__profit--description-line > svg {
        min-width: 44px;
    }

    .franchise-model__profit--info {
        font-size: 18px;
        line-height: 25px;
        background: white;
        color: var(--copy-color);
        padding: 8px;
        border-radius: 49px;
        margin-top: 20px;
    }

    .franchise-model__profit--description-line.grow {
        flex-grow: 1;
        max-width: 515px;
    }

    .franchise-model__profit--description-line.grow-i {
        flex-grow: 1;
    }

    .franchise-model__profit--description-line > div.text {
        color: white;
        font-size: 20px;
        line-height: 28px;
    }
}

.tour {
    margin-top: 100px;
}

.reliable-partner,
.our-power {
    margin-top: 110px;
}

.reliable-partner__wrapper {
    .section__headline.mobile {
        display: none;
    }
}

.reliable-partner__image {
    background: url("../../img/franchise/reliable-partner.svg") no-repeat center;
    background-size: cover;
    width: var(--container-width);
    height: 755px;
    margin: 0 auto;
}

.our-power__wrapper > svg {
    fill: var(--feature-color);
    margin: 20px 20px 0 auto;
    animation: scroll-arrow 1s linear infinite;
}

.our-power__cards {
    display: flex;
    flex-flow: row nowrap;
    gap: 20px;
    overflow-x: scroll;
    margin-left: calc(100vw * 0.125);
}

.our-power__card {
    min-width: 345px;
    max-width: 345px;
    min-height: 404px;
    max-height: 404px;
    border-radius: 16px;
    padding: 40px;
    font-family: "Mont", "Helvetica", sans-serif;
    font-size: 18px;
    font-weight: 700;
    line-height: 25px;
    color: white;
    display: flex;
    align-items: flex-end;

    &:nth-child(1) {
        background: url("../../img/franchise/feature-1.png");
    }

    &:nth-child(2) {
        background: url("../../img/franchise/feature-2.png");
    }

    &:nth-child(3) {
        background: url("../../img/franchise/feature-3.png");
    }

    &:nth-child(4) {
        background: url("../../img/franchise/feature-4.png");
    }

    &:nth-child(5) {
        background: url("../../img/franchise/feature-5.png");
    }

    &:nth-child(6) {
        background: url("../../img/franchise/feature-6.png");
    }
}

.contact-us {
    margin-top: 130px;
}

.contact-us__wrapper {
    width: max-content;
    margin: 0 auto;
}

.contact-us__card {
    display: flex;
    flex-flow: row nowrap;
    gap: 30px;
    width: 1110px;
    height: 389px;
    border-radius: 16px;
    background: url("../../img/franchise/contact-us.svg") top right;
}

.contact-us__card--left {
    width: 446px;
    height: 389px;
    padding: 80px 30px;
    color: white;
    font-family: "Mont", "Helvetica", sans-serif;
}

.contact-us__card--right {
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    width: 634px;
    height: 389px;
    padding: 30px 40px;
    color: white;
    font-family: "Mont", "Helvetica", sans-serif;
    position: relative;

    > .desc {
        font-family: "Verdana", "Helvetica", sans-serif;
        font-size: 20px;
        font-weight: 400;
        line-height: 28px;
    }

    > .action {
        position: absolute;
        bottom: 0;
        display: flex;
        flex-flow: row nowrap;
        align-items: center;
        margin-bottom: -52px;
    }

    > .action > .image {
        background: url("../../img/franchise/contact-us-btn-image.png") no-repeat;
        background-size: contain;
        width: 255px;
        height: 255px;
        z-index: 1;
    }

    > .action > .image > .image__text:not(.mobile) {
        font-size: 18px;
        line-height: 25px;
        font-weight: 700;
        position: absolute;
        top: 65px;
        left: 260px;
    }

    > .action > .image > .image__text.mobile {
        display: none;
    }

    > .action > button {
        height: 54px;
        margin-left: -9px;
    }
}

.tour__wrapper > .headline__description {
    display: none;
}

.tour__body--form.franchise {
    grid-column: 4 / span 9;

    .form__content {
        display: flex;
        flex-flow: row nowrap;
        column-gap: 40px;
        margin-top: 80px;
        margin-left: 40px;
    }

    .form__wrapper {
        font-family: "Mont", "Helvetica", sans-serif;
        width: 350px;
    }
}

.tour__body--form.franchise {
    fieldset {
        display: flex;
        flex-flow: column nowrap;
        width: 350px;
        margin-top: 25px;
    }

    .form__wrapper > h4,
    fieldset > legend > h4 {
        font-family: "Mont", "Helvetica", sans-serif;
        margin: 0;
    }

    .form__wrapper > h4 {
        margin-bottom: 8px;
    }

    fieldset > label {
        width: 100%;
        height: 26px;
        border-color: white;
        color: white;
        background-color: #F5C330;
        font-size: 14px;
        font-weight: 700;
        line-height: 20px;
        padding: 2px 10px;
        text-align: center;
    }

    fieldset > input[type="radio"]:checked+label {
        background: linear-gradient(to right, var(--yellow-color), var(--feature-color));
        border-color: white;
        color: white;
    }
}

@media (max-width: 1024px) {
    .franchise-model {
        grid-template-columns: 377px 492px;
    }

    .franchise-model.first  {
        grid-template-rows: 210px 414px 265px;
    }

    .franchise-model.second {
        grid-template-rows: 172px 337px 410px;
    }

    .franchise-model.third {
        grid-template-rows: 255px 590px 219px;
    }

    .franchise-model__deal {
        padding: 30px 40px;
    }

    .franchise-model__profit {
        .franchise-model__profit--info {
            margin-left: -245px;
        }
    }

    .reliable-partner__image {
        width: var(--container-width-1024);
        height: 609px;
    }
}

@media (max-width: 768px) {
    .franchise-model {
        button {
            display: block;
            background: white;
            color: var(--feature-color);
            text-decoration: underline;
            font-weight: 700;
            width: 250px;
            height: 37px;
            margin-top: -63px;
            margin-right: 20px;
            border-radius: 67px;
            justify-self: end;
        }

        button:hover,
        button:focus,
        button:active {
            background: #f1f1f1;
        }
    }

    .franchise-model:not(:last-child) {
        margin-bottom: 20px;
    }

    .franchise-model.first,
    .franchise-model.second,
    .franchise-model.third {
        grid-template-columns: 579px;
        grid-template-rows: 303px;
        grid-template-areas: "c"
    }

    .franchise-model__card {
        .franchise-model__card--heading {
            font-size: 20px;
            line-height: 28px;
            margin-bottom: 10px;
        }

        .franchise-model__card--description {
            font-size: 14px;
            line-height: 20px;
            width: 340px;
        }
    }

    .franchise-model__deal,
    .franchise-model__profit {
        display: none;
    }

    .reliable-partner__image {
        background: url("../../img/franchise/reliable-partner-tablet.svg") no-repeat center;
        width: var(--container-width-768);
        height: 878px;
    }

    .tour__wrapper > .headline__description {
        display: block;
        font-size: 16px;
        line-height: 22px;
        font-family: "Mont", "Helvetica", sans-serif;
        font-weight: 700;
        width: 375px;
    }

    #franchise-popup > .new-popup__background {
        border-radius: 8px;
    }

    .franchise-popup__content {
        display: none;
        flex-flow: column nowrap;

        .franchise-popup__header {
            display: flex;
            justify-content: center;
            align-items: center;
            width: calc(100% + 2px);
            margin-left: -1px;
            margin-top: -1px;
            height: 73px;
            font-size: 16px;
            line-height: 22px;
            font-weight: 600;
            font-family: "Mont", "Helvetica", sans-serif;
            color: white;
            border-radius: 8px;
            z-index: 1;
        }

        .franchise-popup__header.investment {
            background-color: #F1A81A;
        }

        .franchise-popup__header.management {
            background-color: #E76425;
        }

        .franchise-popup__header.classic {
            background-color: var(--copy-color);
        }

        .franchise-model__deal {
            display: block;
            background-color: white;
            padding: 20px 22px 0;
            filter: none;
        }

        .franchise-model__deal--heading {
            font-size: 14px;
            line-height: 20px;
        }

        .franchise-model__deal--description-line {
            font-size: 12px;
            line-height: 17px;
        }

        .franchise-model__deal--description-line:before {
            width: 10px;
            min-width: 10px;
            height: 10px;
        }

        .franchise-model__profit {
            display: flex;
            flex-flow: column nowrap;
            row-gap: 10px;
            padding: 20px;
            border-radius: 8px;
            width: calc(100% + 2px);
            margin-top: 17px;
            margin-left: -1px;
            margin-bottom: -1px;
        }

        .franchise-model__profit.management {
            background: #20A2A3;
        }

        .franchise-model__profit.classic {
            background: #FAAE1B;
        }

        .franchise-model__profit--heading {
            font-size: 12px;
            line-height: 17px;
            min-width: unset;
            height: unset;
            margin: 0 auto;
        }

        .franchise-model__profit--description-line {
            width: 100%;
        }

        .franchise-model__profit--description-line > img {
            width: 44px;
            height: 44px;
        }

        .franchise-model__profit--description-line > div.text {
            font-size: 12px;
            line-height: 17px;
        }

        .franchise-model__profit--info {
            margin-left: 0;
            font-size: 12px;
            font-family: "Mont", "Helvetica", sans-serif;
            line-height: 17px;
            font-weight: 700;
            padding: 10px 23px;
        }
    }

    .tour__wrapper > .headline__description {
        display: block;
        font-size: 14px;
        line-height: 20px;
        font-family: "Mont", "Helvetica", sans-serif;
        font-weight: 700;
        width: 100%;
    }

    .tour__body--form.franchise {
        grid-column: 4 / span 9;
        width: 350px;

        .form__content {
            flex-flow: column;
            margin-left: 0;
            width: 100%;
            margin-top: -40px;
        }

        .form__wrapper {
            width: 100%;
            margin-top: 10px;
        }

        .form__footer > label {
            padding-left: 23px;
        }

        fieldset {
            width: 100%;
            align-items: center;
            gap: 3px;
            margin-top: 0;
        }

        fieldset > legend {
            width: 100%;
            display: flex;
            justify-content: center;
            margin: 0 auto;
        }

        .form__wrapper > h4 {
            display: none;
        }

        fieldset > legend > h4 {
            font-size: 14px;
            line-height: 20px;
            width: 100%;
            text-align: center;
            font-family: "Verdana", "Helvetica", sans-serif;
        }

        .form__wrapper > h4 {
            margin-bottom: 8px;
        }

        fieldset > label {
            width: 100%;
            height: 30px;
            border-color: white;
            color: white;
            background-color: #F5C330;
            font-size: 14px;
            font-weight: 700;
            line-height: 20px;
            padding: 2px 10px;
            text-align: center;
        }

        fieldset > input[type="radio"]:checked+label {
            background: linear-gradient(to right, var(--yellow-color), var(--feature-color));
            border-color: white;
            color: white;
        }
    }

    .contact-us__wrapper {
        width: max-content;
        margin: 0 auto;
    }

    .contact-us__card {
        flex-flow: column nowrap;
        gap: 73px;
        width: var(--container-width-768);
        height: calc(var(--container-width-768) * 2.26);
        background: url("../../img/franchise/contact-us-mobile.svg") top right;
        background-size: cover;
    }

    .contact-us__card--left {
        width: var(--container-width-768);
        height: calc(var(--container-width-768) * 0.86);
        padding: 46px 90px;
        color: white;
        font-family: "Mont", "Helvetica", sans-serif;

        h3 {
            font-size: 32px;
            line-height: 45px;
            text-align: center;
        }
    }

    .contact-us__card--right {
        flex-flow: column nowrap;
        align-items: center;
        width: var(--container-width-768);
        height: calc(var(--container-width-768) * 1.275);
        padding: 58px 90px;

        h3 {
            font-size: 32px;
            line-height: 45px;
            text-align: center;
        }

        > .desc {
            font-family: "Verdana", "Helvetica", sans-serif;
            font-size: 20px;
            font-weight: 400;
            line-height: 28px;
        }

        > .action {
            width: 100%;
            padding: 0 12px 30px;
            flex-flow: column nowrap;
            align-items: flex-start;
            margin-bottom: 0;
        }

        > .action > .image {
            background: url("../../img/franchise/contact-us-btn-image.png") no-repeat;
            background-size: contain;
            width: 100%;
            height: 141px;
            z-index: 0;
            position: relative;
        }

        > .action > .image > .image__text:not(.mobile) {
            display: none;
        }

        > .action > .image > .image__text.mobile {
            display: block;
            font-size: 14px;
            line-height: 20px;
            font-weight: 700;
            position: absolute;
            top: 65px;
            left: 155px;
        }

        > .action > button {
            width: calc(100% - 4px);
            height: 40px;
            margin-top: -24px;
            margin-left: 4px;
            font-size: 14px;
            z-index: 1;
        }
    }
}

@media (max-width: 576px) {
    .headline__scroll {
        height: 102px;
        max-width: 300px;
    }

    .franchise-model {
        button {
            display: block;
            background: white;
            color: var(--feature-color);
            text-decoration: underline;
            font-weight: 700;
            width: 250px;
            height: 37px;
            margin-top: -63px;
            border-radius: 67px;
            justify-self: center;
        }

        button:hover,
        button:focus,
        button:active {
            background: #f1f1f1;
        }
    }

    .franchise-model.first,
    .franchise-model.second,
    .franchise-model.third {
        grid-template-columns: var(--container-width-576);
        grid-template-rows: 303px;
        grid-template-areas: "c"
    }

    .franchise-model__card {
        background-position: top;

        .franchise-model__card--heading {
            margin-bottom: 10px;
        }

        .franchise-model__card--description {
            width: 100%;
        }
    }

    .reliable-partner__wrapper {
        .section__headline:not(.mobile) {
            display: none;
        }

        .section__headline.mobile {
            display: block;
            width: 280px;
            margin: 0 auto;
        }

        .section__headline.mobile:nth-child(2) {
            text-align: start;
        }

        .section__headline.mobile:nth-child(3) {
            text-align: end;
            margin-top: -9px;
        }
    }

    .reliable-partner__image {
        margin-top: 40px;
        background: url("../../img/franchise/reliable-partner-mobile.svg") no-repeat center;
        width: 272px;
        height: 514px;
    }

    .our-power {
        margin-top: 80px;
    }

    .tour__wrapper > .headline__description {
        display: block;
        font-size: 14px;
        line-height: 20px;
        font-family: "Mont", "Helvetica", sans-serif;
        font-weight: 700;
        width: 100%;
    }

    .tour__body--form.franchise {
        grid-column: 4 / span 9;
        width: 300px;

        .form__content {
            margin-top: 70px;
        }

        fieldset > legend > h4 {
            width: 200px;
        }
    }

    .our-power__card {
        min-width: 255px;
        min-height: 310px;
        width: 255px;
        height: 310px;
    }

    .contact-us {
        margin-top: 130px;
    }

    .contact-us__wrapper {
        width: max-content;
        margin: 0 auto;
    }

    .contact-us__card {
        flex-flow: column nowrap;
        gap: 48px;
        width: var(--container-width-576);
        height: calc(var(--container-width-576) * 2.26);
        background: url("../../img/franchise/contact-us-mobile.svg") top right;
        background-size: cover;
    }

    .contact-us__card--left {
        width: var(--container-width-576);
        height: calc(var(--container-width-576) * 0.86);
        padding: 40px 25px;
        color: white;
        font-family: "Mont", "Helvetica", sans-serif;

        h3 {
            font-size: 20px;
            line-height: 28px;
            text-align: center;
        }
    }

    .contact-us__card--right {
        flex-flow: column nowrap;
        align-items: center;
        width: var(--container-width-576);
        height: calc(var(--container-width-576) * 1.275);
        padding: 37px 12px;

        > .desc {
            font-family: "Verdana", "Helvetica", sans-serif;
            font-size: 12px;
            font-weight: 400;
            line-height: 17px;
        }

        > .action {
            width: 100%;
            padding: 0 12px 30px;
            flex-flow: column nowrap;
            align-items: flex-start;
            margin-bottom: 0;
        }

        > .action > .image {
            background: url("../../img/franchise/contact-us-btn-image.png") no-repeat;
            background-size: contain;
            width: 100%;
            height: 141px;
            z-index: 0;
            position: relative;
        }

        > .action > .image > .image__text:not(.mobile) {
            display: none;
        }

        > .action > .image > .image__text.mobile {
            display: block;
            font-size: 14px;
            line-height: 20px;
            font-weight: 700;
            position: absolute;
            top: 65px;
            left: 155px;
        }

        > .action > button {
            width: calc(100% - 4px);
            height: 40px;
            margin-top: -24px;
            margin-left: 4px;
            font-size: 14px;
            z-index: 1;
        }
    }
}
